package it.cs.androidmaps12;

import java.io.IOException;
import java.util.List;
import java.util.Locale;

import com.google.android.maps.GeoPoint;
import android.view.View.OnTouchListener;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapView;

import android.app.Activity;
import android.content.Context;
import android.location.Address;
import android.location.Geocoder;
import android.os.Bundle;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Toast;
import android.widget.TextView;

public class GMapsGeocoderExampleActivity extends MapActivity {
    /** Called when the activity is first created. */
	private MapView gmap;
	private Geocoder gcoder;
	private Context context;
	private TextView textView;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        gmap=(MapView)findViewById(R.id.map);
        textView=(TextView)findViewById(R.id.textView1);
        gcoder=new Geocoder(this, Locale.getDefault());
        gmap.getController().setCenter(new GeoPoint(44497301,11356466));
        gmap.getController().setZoom(16);
        gmap.setClickable(true);
        context=getApplicationContext();
        
        gmap.setOnTouchListener(new OnTouchListener() {
        	
        	public boolean onTouch(View v, MotionEvent event) {
        		if (event.getAction()==1) {
        			GeoPoint p=gmap.getProjection().fromPixels((int)event.getX(), (int)event.getY());
        			String text="Latitute "+p.getLatitudeE6()/1E6 + " Longititude "+ p.getLongitudeE6()/1E6;
        			Toast toast=Toast.makeText(context, text, Toast.LENGTH_SHORT);
        			toast.show();
        			try {
						List<Address> address=gcoder.getFromLocation(p.getLatitudeE6()/1E6, p.getLongitudeE6()/1E6, 1);
						if ((address !=null) && (address.size()==1)) {
							String stringName=address.get(0).getThoroughfare();
							textView.setText(stringName);
						} else 
							textView.setText("No information available for this address!");
					} catch (IOException e) {
						// TODO Auto-generated catch block
						textView.setText("GeoCoder Error!");
						e.printStackTrace();
					}
        			return true;
        		}
        		return false;
        	}
        });
        
    }

    
    
    
	@Override
	protected boolean isRouteDisplayed() {
		// TODO Auto-generated method stub
		return false;
	}
}