package it.cs.android55;

import com.google.android.maps.MapActivity;
import com.google.android.maps.MapView;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.SubMenu;

public class GMapsModeExampleActivity extends MapActivity {
	private MapView mapView;
	private boolean satMode;
	private boolean trafficMode;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        mapView=(MapView)findViewById(R.id.map);
        satMode=false;
        trafficMode=false;
        mapView.setSatellite(satMode);
    }

	@Override
	protected boolean isRouteDisplayed() {
		// TODO Auto-generated method stub
		return false;
	}
	
	public boolean onCreateOptionsMenu(Menu menu) {
		int order=Menu.FIRST;
		
		SubMenu subMenu=menu.addSubMenu("Map Options");
		
		MenuItem mapItem=subMenu.add(1,order,order, "Map");
		MenuItem satItem=subMenu.add(1,order+1,order+1, "Satellite");
	
		if (satMode) {
			satItem.setChecked(true);
			mapItem.setChecked(false);
		} else {
			mapItem.setChecked(true);
			satItem.setChecked(false);
		}
		
		subMenu.setGroupCheckable(1,true, true);
		
		MenuItem trafficItem=subMenu.add(2,order+2,order+2, "Traffic View");
		
		if (trafficMode)
			trafficItem.setChecked(true);
		
		return true;
		
	}
	
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		item.setChecked(!item.isChecked());
		Log.d("CAVOLO","Prova GMaps");
		switch(item.getItemId()) {
			case Menu.FIRST:
				mapView.setSatellite(false);
				satMode=false;
				break;
			case Menu.FIRST+1:
				mapView.setSatellite(true);
				satMode=true;
				break;
			case Menu.FIRST+2:
				trafficMode=!trafficMode;
				mapView.setTraffic(trafficMode);
				break;
		
		}
		return super.onOptionsItemSelected(item);
		
	}
}