package it.cs.android555;


import com.google.android.maps.MapActivity;
import com.google.android.maps.MapView;
import com.google.android.maps.MyLocationOverlay;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class GMapsNavigatorExampleActivity extends MapActivity {
    /** Called when the activity is first created. */
	private MyLocationOverlay mOverlay;
	private Button button;
	private MapView gmap;
	private double destLat;
	private double destLong;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    
        button=(Button)findViewById(R.id.button1);
        gmap=(MapView)findViewById(R.id.map);
        gmap.setClickable(true);
        gmap.setBuiltInZoomControls(true);
        
        mOverlay=new MyLocationOverlay(this,gmap);
     
        
        gmap.getOverlays().add(mOverlay);
        destLat=44.497271;
        destLong=11.352693;
        
    }
    
    
    protected void onResume() {
    	super.onResume();
    	mOverlay.enableMyLocation();
    	mOverlay.runOnFirstFix(new Runnable() {

			@Override
			public void run() {
				//gmap.invalidate();
				gmap.getController().animateTo(mOverlay.getMyLocation());
				gmap.getController().setZoom(16);
				
			}
		
    	});  	
    }
    

    public void onClick(View v) {
    	double currentLat=mOverlay.getMyLocation().getLatitudeE6()/1E6;
    	double currentLong=mOverlay.getMyLocation().getLongitudeE6()/1E6;
    	String request="http://maps.google.com/maps?saddr="+currentLat+","+currentLong+"&daddr="+destLat+","+destLong;
    	Intent intent = new Intent(android.content.Intent.ACTION_VIEW, Uri.parse(request));
    	startActivity(intent);
    }
    
	@Override
	protected boolean isRouteDisplayed() {
		// TODO Auto-generated method stub
		return false;
	}
}