package it.cs.android1234;

import com.google.android.maps.GeoPoint;

import com.google.android.maps.MapActivity;
import com.google.android.maps.MapView;
import com.google.android.maps.Overlay;

import android.app.Activity;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Point;
import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.os.Bundle;

public class GMapsSimpleOverlayExampleActivity extends MapActivity {
    /** Called when the activity is first created. */
	private MapView gmap;
	private SimpleOverlay sOverlay;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        gmap=(MapView)findViewById(R.id.map);
      
        GeoPoint p=new GeoPoint(44497301,11356466);
        Bitmap btp=BitmapFactory.decodeResource(getResources(), R.drawable.marker2);
        sOverlay=new SimpleOverlay(p, btp);
        gmap.getOverlays().add(sOverlay);
        gmap.getController().setCenter(p);
        gmap.getController().setZoom(16);
        
    }
   
    
  

	@Override
	protected boolean isRouteDisplayed() {
		// TODO Auto-generated method stub
		return false;
	}
	
	class SimpleOverlay extends Overlay {
		private GeoPoint gp;
		private Bitmap marker;
		
		public SimpleOverlay(GeoPoint p, Bitmap d) {
			gp=p;
			marker=d;
		}
		
		public void draw(Canvas canvas, MapView mapView, boolean shadow) {
			super.draw(canvas, mapView, shadow);
			Point screenPoint=new Point();
			mapView.getProjection().toPixels(gp, screenPoint);
		    canvas.drawBitmap(marker, screenPoint.x-24, screenPoint.y-48, null);
			
		}
		
	}
}